﻿/* ****************************************************************************
    Script de tema de eFactory Tienda Virtual: Tema Alto Contraste
   ****************************************************************************
*/
/* Breakpoints de tamaños de pantalla:
    Movil:          width <  768px
    Tableta:        width >= 768px
    Escritorio:     width >= 992px
    Escrit. Ancho:  width >= 1200px

*/


/* Tema Alto Contraste */
:root {
    --color-tema: #212121;
    --color-texto: #212121;
    --color-texto-tema: #FFFFFF;
    --color-boton: #FFFFFF;
    --color-panel: #DDDDDD;
    --color-fondo: #FFFFFF;
    --color-hover: rgba(0, 0, 0, 0.05);
    --color-accion: #FFDA4B;
    --color-pie-superior: #424242;
    --color-borde: #909090;
    --color-borde-claro: #D0D0D0;
}

/*  Encabezado */
.encabezado__contenedor-superior, .encabezado__boton-acceso, .lista-desplegable {
    /*text-shadow: 0 0 2px rgba(255, 255, 255, 0.5);*/
    --color-borde: var(--color-borde-claro);
}
/*  Pie de página */
.pie-de-pagina__superior {
    color: var(--color-texto-tema);
    /*text-shadow: 0 0 4px rgba(255, 255, 255, 0.3);*/
}

.pie-de-pagina__link,
.pie-de-pagina__link:active,
.pie-de-pagina__link:visited {
    color: var(--color-texto-tema);
}
/* Color de fuente e íconos blancos */
.pagina__encabezado-global .encabezado__contenedor-botonera .icono-base,
.pagina__encabezado-global .encabezado__contenedor-botonera .icono-menu,
.pagina__encabezado-global .encabezado__boton-menu .icono-base,
.pagina__encabezado-global .encabezado__boton-menu .icono-menu,
.pagina__encabezado-global .caja-busqueda__boton-buscar .icono-base,
.pagina__encabezado-global .caja-busqueda__boton-buscar .icono-menu {
    filter: invert(100%) contrast(150%);
}

.pagina__encabezado-global .menu__contenedor .icono-base,
.pagina__encabezado-global .menu__contenedor .icono-menu,
.pagina__encabezado-global .menu-complementos__contenedor .icono-base {
    filter: initial;
}
.caja-busqueda__filtro-departamento:hover {
    background-color: #F8F8F8;
}
.encabezado__boton-carrito--mostrar::before {
    border: 1px solid #FFF;
    color: #FFF;
    background-color: #a10d48;
    filter: contrast(66%) invert(100%);
}
.encabezado__foto-usuario--sin-foto {
    filter: invert(100%) brightness(120%) contrast(150%);
}

.pagina__encabezado-global .lista-desplegable {
    display: block;
    background-image: none;
}
.pagina__encabezado-global .caja-busqueda__contenedor-filtro-departamento::after {
    position: relative;
    display: block;
    width: 1.4rem;
    height: 100%;
    content: " ";
    background-image: url("/imagenes/efactory.dark.menu-abajo.png");
    background-position: calc(100% - 2px) center;
    background-size: 1rem;
    background-repeat: no-repeat;
    filter: brightness(0%) invert(100%);
}


/* *****************************************************************************
   * Bitacora
   *****************************************************************************
   * RJG: 26/06/20: código inicial
   *****************************************************************************
   * RJG: 24/07/20: Ajusté los estilos de texto e íconos del panel de menú y    
   *                pantalla de login (no se veían en temas oscuros)
   *****************************************************************************
*/